Page MenuHomePhabricator

Database error: Edits not in correct order (afterwards)
Closed, ResolvedPublic

Description

Author: simonell

Description:
http://de.wikipedia.org/w/index.php?title=Wikipedia:Wiederherstellungsw%C3%BCnsche&offset=20060726234407&action=history

Have a look at the edits with the summary "Inneres" (the single one from 0:21 is
not of interest). What happened (which doesn't correnspond to the history):
First I edited the page, asking to unblock the article Inneres. This edit is at
this saved normally, the page looks normal. Then Rax answered the 1st time,
still everything is normal. Gunthers edit is saved normal too, but after I
answered something got wrong. The history got messed up, the edits got in
disorder. After this Rax answered and me again, and after that I made a test
edit adding only a bit.

If you only switch through the diffview (by selecting a correct, nonbroken
starting point) you'll see the correct order, but the history is totally messed
up. The discussion is just linear. First error was the my first 2 edits
(starting and answer to gunther) swapped, then in consequence of the following 2
edits the history got even more in disorder.

Bdk sayd it would be good to make a bugreport.


Version: unspecified
Severity: trivial
OS: other
Platform: Other

Details

Reference
bz6871

Related Objects

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 9:19 PM
bzimport set Reference to bz6871.
bzimport added a subscriber: Unknown Object (MLST).

simonell wrote:

Sorry, the first edit wasn't precise enough. To stress it more: the concerning
discussion has been maded just linear. One answered the other, and everything
nice and neat with one more colon each answer :-) So one thing at a time:

Here you can see the full discussion
http://de.wikipedia.org/w/index.php?title=Wikipedia:Wiederherstellungsw%C3%83%C2%BCnsche&diff=19443415&oldid=19440941
but the edit is corrupt, but therefore look at the next

http://de.wikipedia.org/wiki/Spezial:Contributions/Amtiss
filter it by the namespace "Wikipedia". You will see on 26th of July two edit on
10 o'clock p.m. (aka 22:xy). They are in the wrong order. First I made the
things shown in the edit of 22:40 and after that (in between there was a edit of
Rax and Gunther) I answered Gunther, but this is shown as the edit of 22:26.

brion added a comment.Jul 31 2006, 5:31 AM

Marking this as shell; the fixing of timestamps will need to be applied. (About 55 minutes off, as I recall)

This hasn't been touched in 5 years

Do we care enough to bother fixing this?

(In reply to comment #3)

This hasn't been touched in 5 years

THIS IS NOT A REASON TO RESOLVE A BUG AS "WONTFIX." STOP DOING IT.

There is a bug about database cleanup (bug 16660), which this bug is properly marked as blocking. There is no reason to mark this as resolved until it has actually been resolved. Re-opening.

Reedy added a comment.Aug 25 2011, 3:10 PM

22:21, 26 July 2006 (diff | hist) Wikipedia:Löschprüfung/alt ‎ (→Inneres (erledigt): kurze antwort rax)
21:30, 26 July 2006 (diff | hist) m Wikipedia:Löschprüfung/alt ‎ (→Inneres: test)
20:40, 26 July 2006 (diff | hist) Wikipedia:Löschprüfung/alt ‎ (Inneres)
20:26, 26 July 2006 (diff | hist) Wikipedia:Löschprüfung/alt ‎ (→Inneres: ack gunther)

Presumably meaning one edit was deleted. Does this actually have any relevance to attempt to "fix" a now 5+ year old edit that was seemingly seconds out of order?

First link points to a history of a non-existent page

simonell wrote:

"Does this actually have any relevance" - you decise. If I would decide

simonell wrote:

"Does this actually have any relevance" - you decise. If I would decide I would set "WONTFIX". -> Changed the priority to lowest.

Underlying code problem is bug 2930.
WONTFIX for fixing this occurrence of the problem, as there's dozens of other occurrence from the same times.

  • This bug has been marked as a duplicate of bug 2930 ***